Contents

API reference

Exports

API reference descriptions are provided in English to preserve the exact published contract.

List private exports

GET /v1/accounts/{AC}/exports

Required scope: any one of `exports:create`, `billing:write`, `audit:read`.

Parameters

Parameters
NameTypeRequiredDescription
limitquery · integer (1–100)
cursorquery · string (max 2048 chars)
ACpath · string (AC… SID)yesAccount SID

Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.

Create a private data export

POST /v1/accounts/{AC}/exports

Required scope: any one of `exports:create`, `billing:write`.

Parameters

Parameters
NameTypeRequiredDescription
ACpath · string (AC… SID)yesAccount SID
Request body (15 fields)
Request body
NameTypeRequiredDescription
filtersobject
filters.actionstring (max 128 chars)
filters.actorRefstring (max 256 chars)
filters.campaignSidstring (CP… SID)
filters.categorystring (max 64 chars)
filters.contactSidstring (CT… SID)
filters.fromstring (date-time)
filters.resourceRefstring (max 256 chars)
filters.senderSidstring (WA… SID)
filters.statestring (max 64 chars)
filters.statusstring (max 64 chars)
filters.tostring (date-time)
format"csv" | "json"
kind"messages" | "billing" | "audit" | "analytics" | "contacts"yes
stepUpTokenstring (max 256 chars)yes

Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.

Fetch an export and short-lived result URL

GET /v1/accounts/{AC}/exports/{EX}

Required scope: any one of `exports:create`, `billing:write`, `audit:read`.

Parameters

Parameters
NameTypeRequiredDescription
ACpath · string (AC… SID)yes
EXpath · string (EX… SID)yes

Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.